Subject: bug#25742: CEDET, EDE bug?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Jul 2019 15:57:36 +0200

Алексей Вьюшин <[email-masked]> writes:

> Greetings! There is a problem, when I use built-in EDE in
> emacs-25.1.1. If I create any target, then open any file in created
> project after closing emacs an error appeares:
>
> eieio-persistent-validate/fix-slot-value: Corrupt object on disk
>
> and project does not load.
> With CEDET (  v 1.1) there are no problems. Help me, if you please.

(I'm going through older Emacs bug reports that have received no
response.)

I seem to recall there was a fix in this area (incorrect serialisation
of eieio objects) in the years that have passed since you filed this bug
report.  Are you still seeing this bug in Emacs now?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no